All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::GenericFunctionTraits< T > Struct Template Reference
Mathematical abstract functions

GenericFunction traits. More...

`#include <roboptim/core/fwd.hh>`

## Detailed Description

### template<typename T>
struct roboptim::GenericFunctionTraits< T >

GenericFunction traits.

This helper class is used to define which types a GenericFunction should use. The following types are required:

- value_type scalar type used for matrix coefficients (e.g. double)
- size_type type used for indexing matrices (e.g. std::size_t)
- matrix_t the matrix type (e.g. Eigen::Matrix<double, 1, 2>)
- vector_t the used vector type
- result_t function result type (vector or matrix)
- argument_t function argument type (usually vector)